com.sun.grid.jgdi.configuration

## Class QueueInstanceMessageImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.QueueInstanceMessageImpl

- All Implemented Interfaces:
    GEObject, QueueInstanceMessage, java.io.Serializable, java.lang.Cloneable

      public class QueueInstanceMessageImpl
      extends GEObjectImpl
      implements QueueInstanceMessage

  Java representation of the cull object QIM_Type defined in sge_all_listsL.template

  Warning: The QueueInstanceMessageImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueInstanceMessageImpl()` Create a new instance of QueueInstanceMessageImpl.
    `QueueInstanceMessageImpl(boolean initWithDefaultValues)` Create a new instanceof

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getMessage()` Get the value of the message attribute.
    `int` | `getType()` Get the value of the type attribute.
    `boolean` | `isSetMessage()` Determine if the message attribute is set
    `boolean` | `isSetType()` Determine if the type attribute is set
    `void` | `setMessage(java.lang.String aMessage)` Set the message attribute.
    `void` | `setType(int aType)` Set the type attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### QueueInstanceMessageImpl

          public QueueInstanceMessageImpl()

      Create a new instance of QueueInstanceMessageImpl. The new instance will not be initialized with the default values.

    - #### QueueInstanceMessageImpl

          public QueueInstanceMessageImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

  - ### Method Detail

    - #### isSetType

          public boolean isSetType()

      Determine if the type attribute is set
      Specified by:
        `isSetType` in interface `QueueInstanceMessage`
      Returns:
        `true` if the type attribute is set

    - #### setType

          public void setType(int aType)

      Set the type attribute.
      Specified by:
        `setType` in interface `QueueInstanceMessage`
      Parameters:
        `aType` - the new value for the type attribute

    - #### getType

          public int getType()

      Get the value of the type attribute.
      Specified by:
        `getType` in interface `QueueInstanceMessage`
      Returns:
        the value of the type attribute

    - #### isSetMessage

          public boolean isSetMessage()

      Determine if the message attribute is set
      Specified by:
        `isSetMessage` in interface `QueueInstanceMessage`
      Returns:
        `true` if the message attribute is set

    - #### setMessage

          public void setMessage(java.lang.String aMessage)

      Set the message attribute.
      Specified by:
        `setMessage` in interface `QueueInstanceMessage`
      Parameters:
        `aMessage` - the new value for the message attribute

    - #### getMessage

          public java.lang.String getMessage()

      Get the value of the message attribute.
      Specified by:
        `getMessage` in interface `QueueInstanceMessage`
      Returns:
        the value of the message attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `QueueInstanceMessage`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.